Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.rgg
Class ShortSynth<T>

    java.lang.Object
      de.grogra.rgg.ShortSynth<T>

Type Parameters:
  `T` - the type of objects for which synthesized attributes are computed

All Implemented Interfaces:
  VoidToShortGenerator

    public final class ShortSynth<T>

extends java.lang.Object
implements VoidToShortGenerator

Instances of `ShortSynth` are used in the context of the method `Library.synthesize(Object, ObjectToObjectGenerator, ObjectToShort)`. and represent the information needed for the computation of a synthesized attribute: `object` is the current object for which the synthesized attribute has to be computed, the generator method `evaluateShort` yields the values of the synthesized attributes of `object`'s descendants.

Author:
  Ole Kniemeyer

Field Summary
`T` | `object` The current object.

Constructor Summary
`ShortSynth()`

Method Summary
`void` | `evaluateShort(ShortConsumer cons)` This generator method yields the values of the synthesized attribute for every descendant of `object`.
`short` | `get(int index)`
`int` | `size()`
`void` | `values(ShortConsumer cons)` This method is an alias for `evaluateShort(de.grogra.xl.lang.ShortConsumer)`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### object

    public T object

  The current object.

Constructor Detail

### ShortSynth

    public ShortSynth()

Method Detail

### evaluateShort

    public void evaluateShort(ShortConsumer cons)

  This generator method yields the values of the synthesized attribute for every descendant of `object`. These values have been computed previously.

  Specified by:
    `evaluateShort` in interface `VoidToShortGenerator`
  Parameters:
    `cons` - the consumer which receives the values of synthesized attribute of descendants

### get

    public short get(int index)

### size

    public int size()

### values

    public void values(ShortConsumer cons)

  This method is an alias for `evaluateShort(de.grogra.xl.lang.ShortConsumer)`.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD